aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--Makefile.am4
-rw-r--r--acinclude.m436
-rw-r--r--configure.ac26
-rw-r--r--packaging/rpm/SPECS/wireshark.spec.in2
4 files changed, 11 insertions, 57 deletions
diff --git a/Makefile.am b/Makefile.am
index 7e5485d4c4..6447a39846 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -422,10 +422,6 @@ if HAVE_Qt
wireshark_SOURCES = $(WIRESHARK_COMMON_SRC) wireshark-qt.cpp
wireshark_CPPFLAGS = $(AM_CPPFLAGS) $(GLIB_CFLAGS) $(Qt_CFLAGS)
-# Define compatibility macros for Qt 4.8
-if HAVE_QT_VERSION_4
-wireshark_CPPFLAGS += -DQ_NULLPTR=NULL
-endif
wireshark_LDFLAGS = $(AM_LDFLAGS) $(Qt_LDFLAGS)
diff --git a/acinclude.m4 b/acinclude.m4
index dd99be03ea..abccee43ab 100644
--- a/acinclude.m4
+++ b/acinclude.m4
@@ -1676,18 +1676,6 @@ AC_DEFUN([AC_WIRESHARK_QT_MODULE_CHECK_WITH_QT_VERSION],
[
case "$3" in
- 4)
- #
- # Check for Qt 4.
- #
- modprefix="Qt"
- #
- # Version of the module we're checking for.
- # Default to 4.0.0.
- #
- min_qt_version=ifelse([$2], ,4.0.0,$2)
- ;;
-
5)
#
# Check for Qt 5.
@@ -1695,9 +1683,9 @@ AC_DEFUN([AC_WIRESHARK_QT_MODULE_CHECK_WITH_QT_VERSION],
modprefix="Qt5"
#
# Version of the module we're checking for.
- # Default to 5.0.0.
+ # Default to 5.2.0.
#
- min_qt_version=5.0.0
+ min_qt_version=5.2.0
;;
*)
@@ -1737,30 +1725,16 @@ AC_DEFUN([AC_WIRESHARK_QT_MODULE_CHECK],
#
case "$3" in
- yes|unspecified)
+ yes|5)
#
# Check for all versions of Qt we support.
# Try the Qt 5 version first.
#
- versions="5 4"
- ;;
-
- 4)
- #
- # Check for Qt 4.
- #
- versions="4"
- ;;
-
- 5)
- #
- # Check for Qt 5.
- #
versions="5"
;;
*)
- AC_MSG_ERROR([Qt version $3 is not a known Qt version])
+ AC_MSG_ERROR([$3 is not a known Qt option])
;;
esac
@@ -1769,7 +1743,7 @@ AC_DEFUN([AC_WIRESHARK_QT_MODULE_CHECK],
AC_WIRESHARK_QT_MODULE_CHECK_WITH_QT_VERSION($1, $2,
$version, [foundit=yes], [foundit=no])
if test "x$foundit" = "xyes"; then
- break
+ break
fi
done
diff --git a/configure.ac b/configure.ac
index c445aeeab3..cbc71e6483 100644
--- a/configure.ac
+++ b/configure.ac
@@ -249,9 +249,9 @@ AX_LIB_SOCKET_NSL
# GUI toolkit options
#
AC_ARG_WITH([qt],
- AC_HELP_STRING( [--with-qt=@<:@yes/no/4/5@:>@],
+ AC_HELP_STRING( [--with-qt=@<:@yes/no@:>@],
[use Qt @<:@default=yes, if available@:>@]),
- with_qt="$withval", with_qt="unspecified")
+ with_qt="$withval", with_qt="yes")
# GnuTLS
# Version 3.0 switched from LGPLv2.1+ to LGPLv3+, then switched back to
@@ -1200,12 +1200,7 @@ if test "x$enable_wireshark" = "xyes"; then
#
case "$host_os" in
darwin*)
- if test $qt_version -le 4
- then
- AC_MSG_ERROR([macOS builds should use Qt5])
- else
- Qt_LDFLAGS="-Wl,-rpath,"`$PKG_CONFIG --libs Qt${qt_version}Core | sed -e 's/-F//' -e 's/ -framework.*//'`
- fi
+ Qt_LDFLAGS="-Wl,-rpath,"`$PKG_CONFIG --libs Qt${qt_version}Core | sed -e 's/-F//' -e 's/ -framework.*//'`
;;
esac
AC_SUBST(Qt_LDFLAGS)
@@ -1213,13 +1208,7 @@ if test "x$enable_wireshark" = "xyes"; then
if test -z "${MOC_OPTIONS+1}"
then
# Squelch moc verbose "nothing to do" output
- if test $QT_VERSION_MAJOR -eq 5
- then
- MOC_OPTIONS="-nn"
- elif test $QT_VERSION_MAJOR -eq 4 -a $QT_VERSION_MINOR -ge 8
- then
- MOC_OPTIONS="-nn"
- fi
+ MOC_OPTIONS="-nn"
fi
AC_SUBST(MOC_OPTIONS)
],
@@ -1493,7 +1482,6 @@ AC_SUBST(wireshark_bin)
AC_SUBST(wireshark_man)
AC_SUBST(wireshark_SUBDIRS)
AM_CONDITIONAL(HAVE_Qt, test "$have_qt" = "yes")
-AM_CONDITIONAL(HAVE_QT_VERSION_4, [test $qt_version -eq 4])
AM_CONDITIONAL(HAVE_GTK, test "$have_gtk" = "yes")
# Enable/disable tshark
@@ -2635,11 +2623,7 @@ else
RPMBUILD_WITH_ARGS="--without gtk2 --without gtk3"
fi
if test "x$have_qt" = "xyes" ; then
- if test "$qt_version" -eq "5"; then
- RPMBUILD_WITH_ARGS="$RPMBUILD_WITH_ARGS --with qt5"
- else
- RPMBUILD_WITH_ARGS="$RPMBUILD_WITH_ARGS --with qt"
- fi
+ RPMBUILD_WITH_ARGS="$RPMBUILD_WITH_ARGS --with qt5"
else
RPMBUILD_WITH_ARGS="$RPMBUILD_WITH_ARGS --without qt --without qt5"
fi
diff --git a/packaging/rpm/SPECS/wireshark.spec.in b/packaging/rpm/SPECS/wireshark.spec.in
index 3ddd8a00e8..77fa26e694 100644
--- a/packaging/rpm/SPECS/wireshark.spec.in
+++ b/packaging/rpm/SPECS/wireshark.spec.in
@@ -301,7 +301,7 @@ This package contains the GTK+ Wireshark GUI and desktop integration files.
--with-extcap=no \
%endif
%if %{with qt}
- --with-qt=4 \
+ --with-qt=5 \
%else
%if %{with qt5}
--with-qt=5 \